.produ {
    width: 90%;
    height: auto;
    margin: 0 auto;
    max-width: 1440px;
    padding: 10px 0;
}

.produnav {
    width: 100%;
    height: auto;
    height: max-content;
    background-color: rgb(242, 243, 245);
}

.produnav_top {
    width: 100%;
    height: auto;
    color: white;
    background-color: rgb(10, 81, 55);
    position: relative;
}
.produnav_top img{
    width: 100%;
    height: auto;
    object-fit: contain;
}
.produtop_box{
    position: absolute;
    top: 50%;
    left: 50%;
    font-size: 34px;
    padding: 10px 0;
    transform: translate(-50%, -50%);
    border-bottom: 3px solid white;
}
.produnav_item {
    width: 100%;
    min-height: 40px;
    line-height: 40px;
    padding: 0 10px;
    border-bottom: 1px solid #ccc;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

.produnav_item a,
.produnav_item_erji_item a {
    color: black;
}

.produnav_item_erji {
    width: 100%;
    height: auto;
    max-height: 1000px;
    transition: opacity 0.5s ease, visibility 0.5s ease, max-height 0.5s ease;
    opacity: 1;
    visibility: visible;
}

.produnav_item_erji.hidden {
    opacity: 0;
    visibility: hidden;
    max-height: 0;
}

.produnav_item_erji_item {
    width: 100%;
    min-height: 40px;
    line-height: 40px;
    padding: 0 20px;
    border-bottom: 1px solid #ccc;
    white-space: nowrap;
    /* 不换行 */
    overflow: hidden;
    /* 隐藏超出部分 */
    text-overflow: ellipsis;
    /* 省略号 */

}

.arrow {
    transform: rotate(90deg);
    display: inline-block;
    transition: transform 0.3s;
    cursor: pointer;
}

.arrow.rotated {
    transform: rotate(-90deg);
}

.producont_box {
    width: 50%;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.indexb_box_item {
    width: 90%;
    height: auto;
    margin-bottom: 10px;
}

.indexb_box_item >a {
    display: block;
    width: 100%;
    height: auto;
    border: 1px solid #ccc;
}

.indexb_item_img {
    width: 100%;
    height: auto;
    overflow: hidden;
}

.indexb_item_img img {
    width: 100%;
    height: auto;
    aspect-ratio: 8 / 10;
  object-fit: cover;
    border-bottom: 1px solid #ccc;
    transition: transform 0.5s ease;
    /* 平滑过渡效果 */
}

.indexb_item_title {
    width: 100%;
    padding-top: 5px;
    color: black;
    text-align: center;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    background-color: white;
}
.produNocont_box{
    width: 100%;
    height: auto;
    text-align: center;
    padding: 30px 0;
}
.xiaotubiao_box {
    width: 100%;
    height: 20px;
    position: relative;
    background-color: white;
}

.xiaotubiao {
    position: absolute;
    width: 33px;
    height: 100%;
    right: 0;
    bottom: 0;
}

.xiaotubiao img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.indexb_red {
    display: none;
}

.indexb_baise {
    position: absolute;
    right: -5px;
    bottom: 0;
    z-index: 999;
}

.producont {
    width: 100%;
    height: auto;
    display: flex;
    flex-wrap: wrap;
}

.product_frame {
    width: 100%;
    height: auto;
    margin: 10px auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: top;
    padding-top: 20px;
}

#gallery {
    width: 100%;
    height: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
}

.zhutu {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
}

.zhutu img {
    width: 100%;
    height: auto;
    aspect-ratio: 8 / 10;
    object-fit: cover;
    border: 1px solid #ccc;
    user-select: none;
    /* 禁止用户选择图片 */
    -webkit-user-drag: none;
    /* 禁止在 WebKit 浏览器中拖动图片 */
    -webkit-user-select: none;
    /* 禁止在 WebKit 浏览器中选择图片 */
    -moz-user-select: none;
    /* 禁止在 Firefox 中选择图片 */
    -ms-user-select: none;
    /* 禁止在 IE/Edge 中选择图片 */
}

.chanpin_box_Kuang {
    width: 100%;
    height: auto;
    position: relative;
}

#product_zuo {
    display: none;
}

#product_zuo img {
    height: 100%;
    width: 100%;
    object-fit: contain;
}

.chanpin_box {
    width: 100%;
    height: auto;
    overflow: hidden;
    margin-top: 15px;
}

#thumbnails {
    width: auto;
    display: flex;
    transition: all .4s;
    transform: translateX(0px);
}

.tupian_bbox {
    height: auto;
    width: 500px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    border: 1px solid #ccc;
}

.tupian_bbox img {
    width: 98%;
    height: 98%;
    aspect-ratio: 8 / 10;
    object-fit: cover;
    user-select: none;
    /* 禁止用户选择图片 */
    -webkit-user-drag: none;
    /* 禁止在 WebKit 浏览器中拖动图片 */
    -webkit-user-select: none;
    /* 禁止在 WebKit 浏览器中选择图片 */
    -moz-user-select: none;
    /* 禁止在 Firefox 中选择图片 */
    -ms-user-select: none;
    /* 禁止在 IE/Edge 中选择图片 */
}

#product_you {
    display: none;
}

#product_you img {
    height: 100%;
    width: 100%;
    object-fit: contain;
}

.producont_right {
    width: 100%;
    height: auto;
    padding: 10px 0;
}

.producont_right_title {
    width: 100%;
    height: auto;
    text-align: center;
    font-size: 22px;
    font-weight: 700;
}

.producont_right_content {
    width: 100%;
    height: auto;
    font-size: 16px;
}
.producont_message {
    width: 120px;
    height: 40px;
    background-color: rgb(19, 163, 80);
    text-align: center;
    line-height: 40px;
    color: white;
    border-radius: 10px;
    margin: 0 auto;
}
.popup-content_box{
    width: 100%;
    height: auto; 
    color: black;
    text-align: center;
    font-size: 18px;
    display: flex;
    min-height: 180px;
    align-items: center;
    flex-wrap: wrap;
    justify-content: center;
}
.popup-content_box img{
    width: 30%;
    padding: 30px; 
    height: auto;
    object-fit: contain;
}
#content_img{
    display: none;
}
.produbott_box{
    width: 100%;
    height: auto;
    padding: 10px 0;
    padding-top: 20px;
}
.produbott_box_title{
    width: 100%;
    height: auto;
    position: relative;
}
.produbott_box_title img{
    width: 100%;
    height: auto;
    object-fit: contain;
}
.produbott_box span{
    position: absolute;
    left: 8%;
    font-size: 12px;
    font-weight: 700;
    top: 0;
}
.prodtt_content p{
    margin: 0;
    text-indent: 2em;
}
@media (min-width:768px) {
    .produNocont_box{
        min-height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        line-height: 100px;
    }
    .produNocont_box h1{
        line-height: 80px;
    }
    .produNocont_box h3{
        line-height: 60px;
    }
    .produ {
        display: flex;
        justify-content: space-between;
        padding: 30px 0;
    }

    .produnav {
        width: 24%;
        min-width: 320px;
    }
    .produnav_item,
    .produnav_item_erji_item {
        min-height: 70px;
        line-height: 70px;
    }

    .producont_box {
        width: 33%;
    }

    .indexb_box_item:hover .indexb_item_img img {
        transform: scale(1.2);
        /* 鼠标经过时放大1.1倍 */
    }

    .indexb_box_item:hover .indexb_ccc {
        display: none;
    }

    .indexb_box_item:hover .indexb_red {
        display: block;
    }
    .indexb_box_item:hover .inpc_itemtitle_box{
        background-color: rgb(30, 163, 83);
    }
    .indexb_box_item:hover .inpc_item_title{
        color: white;
    }
    .indexb_item_title {
        font-size: 18px;
        background-color: white;
    }
    .indexb_box_item{
        padding-bottom: 30px;
    }
    .xiaotubiao_box {
        height: 30px;
        background-color: white;
    }

    .xiaotubiao {
        width: 50px;
    }

    .producont {
        display: flex;
        flex-wrap: wrap;
        width: 72%;
        justify-content: flex-start;
        margin: 0;
        padding: 0;
    }

    .product_frame {
        width: 47%;
        margin: 0;
        padding: 0;
    }

    #product_you {
        display: block;
        width: 50px;
        height: 50px;
        position: absolute;
        top: calc(50% - 15px);
        right: -50px;
    }

    #product_zuo {
        display: block;
        width: 50px;
        height: 50px;
        position: absolute;
        top: calc(50% - 15px);
        left: -50px;
    }

    .producont_right_title {
        font-size: 32px;
        text-align: left;
        padding-bottom: 15px;
        border-bottom: 2px solid black;
    }

    .producont_right_content {
        font-size: 18px;
        border-top: 1px solid black;
        padding-top: 10px;
        margin-top: 15px;
    }
    .producont_right {
        width: 47%;
        padding: 0;
    }
    .producont_message{
        margin: 0;
    }
    .produbott_box{
        padding-top: 40px;
    }
    .produbott_box span {
        font-size: 24px;
        height: 100%;
        line-height: 60px;
    }
    .prodtt_content{
        font-size: 18px;
    }
    .produtop_box{
        border-bottom: 5px solid white;
    }
}

@media (min-width:1200px) {
    .produ {
        padding: 30px 0;
    }
}